Developers

Vacation report by user

GET
/calendar/vacation-reports/by-user

Vacation report by user

Authorization<token>

Value for the Authorization header parameter.

In: header

Query Parameters

userIds[]?array<>

Ids of users that VacationReport is going to be returned for. If empty - return all possible.

vacationTypeIds[]?array<>

Ids of VacationTypes. If empty - return all.

dateStart*string
Formatdate-time
dateEnd*string
Formatdate-time

Response Body

curl -X GET "https://example.com/calendar/vacation-reports/by-user?dateStart=2019-08-24T14%3A15%3A22Z&dateEnd=2019-08-24T14%3A15%3A22Z"
[  {    "calendarUserOutput": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "phoneNumber": "string",      "pictureSm": "string",      "pictureLg": "string",      "canLogIn": true,      "isExternal": true,      "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",      "contractorName": "string",      "jobPositionName": "string",      "decorator": "string"    },    "vacationDateAndTypeOutput": [      {        "vacationDate": "2019-08-24T14:15:22Z",        "vacationTypeOutput": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "decrementVacation": true,          "isActive": true        }      }    ]  }]